summaryrefslogtreecommitdiffstats
path: root/academic/FastTree
diff options
context:
space:
mode:
Diffstat (limited to 'academic/FastTree')
-rw-r--r--academic/FastTree/FastTree.SlackBuild85
-rw-r--r--academic/FastTree/FastTree.info10
-rw-r--r--academic/FastTree/README17
-rw-r--r--academic/FastTree/References14
-rw-r--r--academic/FastTree/slack-desc19
5 files changed, 145 insertions, 0 deletions
diff --git a/academic/FastTree/FastTree.SlackBuild b/academic/FastTree/FastTree.SlackBuild
new file mode 100644
index 0000000000..6c954faf8d
--- /dev/null
+++ b/academic/FastTree/FastTree.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+# Slackware build script for FastTree
+
+# Copyright 2023 Petar Petrov, slackalaxy at gmail dot com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=FastTree
+VERSION=${VERSION:-2.1.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+cp $CWD/$PRGNAM.c .
+gcc $SLKCFLAGS -o FastTree FastTree.c -lm
+install -D -m755 FastTree $PKG/usr/bin/FastTree
+
+cd $PKG/usr/bin
+ln -s FastTree fasttree
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/FastTree/FastTree.info b/academic/FastTree/FastTree.info
new file mode 100644
index 0000000000..006113cf06
--- /dev/null
+++ b/academic/FastTree/FastTree.info
@@ -0,0 +1,10 @@
+PRGNAM="FastTree"
+VERSION="2.1.11"
+HOMEPAGE="http://www.microbesonline.org/fasttree/"
+DOWNLOAD="http://www.microbesonline.org/fasttree/FastTree.c"
+MD5SUM="83bf082910e1d704e1b1b35f5e263ece"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/FastTree/README b/academic/FastTree/README
new file mode 100644
index 0000000000..4398c4f343
--- /dev/null
+++ b/academic/FastTree/README
@@ -0,0 +1,17 @@
+FastTree infers approximately-maximum-likelihood phylogenetic trees from
+alignments of nucleotide or protein sequences. FastTree can handle
+alignments with up to a million of sequences in a reasonable amount of
+time and memory. For large alignments, FastTree is 100-1,000 times
+faster than PhyML 3.0 or RAxML 7. FastTree is open-source software.
+
+FastTree is more accurate than PhyML 3 with default settings, and much
+more accurate than the distance-matrix methods that are traditionally
+used for large alignments. FastTree uses the Jukes-Cantor or generalized
+time-reversible (GTR) models of nucleotide evolution and the JTT
+(Jones-Taylor-Thornton 1992), WAG (Whelan & Goldman 2001), or LG (Le and
+Gascuel 2008) models of amino acid evolution. To account for the varying
+rates of evolution across sites, FastTree uses a single rate for each
+site (the "CAT" approximation). To quickly estimate the reliability of
+each split in the tree, FastTree computes local support values with the
+Shimodaira-Hasegawa test (these are the same as PhyML 3's "SH-like local
+supports").
diff --git a/academic/FastTree/References b/academic/FastTree/References
new file mode 100644
index 0000000000..01aef49abf
--- /dev/null
+++ b/academic/FastTree/References
@@ -0,0 +1,14 @@
+These papers describe FastTree: the first paper describes FastTree 1.0,
+and the second paper describes heuristic minimum-evolution SPR moves,
+maximum-likelihood NNIs, and SH-like local supports. We have also
+eliminated the O(N2) steps in the neighbor-joining phase, and
+implemented maximum-likelihood NNI moves and SH-like supports (see the
+ChangeLog).
+
+Price, M.N., Dehal, P.S., and Arkin, A.P. (2009) FastTree: Computing
+Large Minimum-Evolution Trees with Profiles instead of a Distance Matrix.
+Molecular Biology and Evolution 26:1641-1650, doi:10.1093/molbev/msp077.
+
+Price, M.N., Dehal, P.S., and Arkin, A.P. (2010) FastTree 2 --
+Approximately Maximum-Likelihood Trees for Large Alignments. PLoS ONE,
+5(3):e9490. doi:10.1371/journal.pone.0009490.
diff --git a/academic/FastTree/slack-desc b/academic/FastTree/slack-desc
new file mode 100644
index 0000000000..e74540e239
--- /dev/null
+++ b/academic/FastTree/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+FastTree: FastTree (Infers approximately-ML phylogenetic trees)
+FastTree:
+FastTree: FastTree infers approximately-maximum-likelihood phylogenetic trees
+FastTree: from alignments of nucleotide or protein sequences. FastTree can
+FastTree: handle alignments with up to a million of sequences in a reasonable
+FastTree: amount of time and memory.
+FastTree:
+FastTree: http://www.microbesonline.org/fasttree/
+FastTree:
+FastTree:
+FastTree: